"""app URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/3.2/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin
from django.urls import path
from django.conf import settings

from .video import views as video
from .text import views as text
from .contact.views import index as contact

urlpatterns = [
    path('admin/', admin.site.urls),
    #path('pandoraAPI/', video.pandoraAPI, name='pandoraAPI'),
    path(settings.URL_PREFIX + 'videos/', video.films, name='films'),
    path(settings.URL_PREFIX + 'video/<str:slug>/play/<str:id>', video.film_play, name='film_play'),
    path(settings.URL_PREFIX + 'video/<str:slug>/', video.film, name='film'),
    path(settings.URL_PREFIX + 'edits/', video.edits, name='edits'),
    path(settings.URL_PREFIX + 'edit/<str:slug>/play/<str:lang>', video.edit_play, name='edit_play'),
    path(settings.URL_PREFIX + 'edit/<str:slug>/', video.edit, name='edit'),
    path(settings.URL_PREFIX + 'tv/', video.tv, name='tv'),
    path(settings.URL_PREFIX + 'cuts/', text.texts, name='texts'),
    path(settings.URL_PREFIX + 'cuts/<str:slug>', text.text, name='text'),
    #path(settings.URL_PREFIX + 'index-alt/', text.index_alt, name='index_alt'),
    path(settings.URL_PREFIX + 'about/', text.about, name='about'),
    path(settings.URL_PREFIX + 'contact/', contact, name='contact'),
    path(settings.URL_PREFIX + '<str:slug>/', text.page, name='page'),
    path(settings.URL_PREFIX[:-1], text.index, name='index'),
    path('', text.fallback, name='fallback'),
    path('<str:slug>', text.fallback, name='fallback'),
]
